Loading...
Searching...
No Matches
mbedtls_ssl_ticket_context Struct Reference

Context for session ticket handling functions. More...

`#include <ssl_ticket.h>`

Collaboration diagram for mbedtls_ssl_ticket_context:
[legend]

## Data Fields

mbedtls_ssl_ticket_key | private_keys [2]
unsigned char | private_active
uint32_t | private_ticket_lifetime
int(* | private_f_rng )(void *, unsigned char *, size_t)
void * | private_p_rng
mbedtls_threading_mutex_t | private_mutex

## Detailed Description

Context for session ticket handling functions.

Definition at line 71 of file ssl_ticket.h.

## Field Documentation

## private_active

unsigned char mbedtls_ssl_ticket_context::private_active

index of the currently active key

Definition at line 73 of file ssl_ticket.h.

## private_f_rng

int(* mbedtls_ssl_ticket_context::private_f_rng) (void *, unsigned char *, size_t)

Callback for getting (pseudo-)random numbers

Definition at line 78 of file ssl_ticket.h.

## private_keys

mbedtls_ssl_ticket_key mbedtls_ssl_ticket_context::private_keys[2]

ticket protection keys

Definition at line 72 of file ssl_ticket.h.

## private_mutex

mbedtls_threading_mutex_t mbedtls_ssl_ticket_context::private_mutex

Definition at line 82 of file ssl_ticket.h.

## private_p_rng

void* mbedtls_ssl_ticket_context::private_p_rng

context for the RNG function

Definition at line 79 of file ssl_ticket.h.

## private_ticket_lifetime

uint32_t mbedtls_ssl_ticket_context::private_ticket_lifetime

lifetime of tickets in seconds

Definition at line 75 of file ssl_ticket.h.

The documentation for this struct was generated from the following file:

- ssl_ticket.h